Subject: Re: [sipcore] ECO(energy-saving) device and response code

From: Cullen Jennings <[email-masked]>
Date: Wed, 14 Jul 2010 18:48:15 -0600

How about a new code

101 "Device is making coffee to wake up"

On serious note, my gut feeling is we should consider a new 1xx response code that includes a header that provides expected amount of time before the real response will be sent.

On Jun 21, 2010, at 23:10 , Shida Schubert wrote:

> 
> We have a device from several vendors on our test bed (and 
> will be deployed in near future) that goes into sleep mode 
> (energy saving mode) when standing by. 
> 
> It takes about 10 seconds for these devices to wake up and 
> although it can't process the SDP and other parameters in 
> INVITE while resuming, it can be configured to send a 
> response. 
> 
> Question is what response should be sent to 
> indicate to the caller the following semantics.
> 
> "device on the callee side is waking up to decide 
> whether it can handle the call or if it's interested in 
> picking up the call at all". 
> 
> The response code that kind of match the semantic 
> is the 182 "Queued", based on the definition in RFC3261 
> or 183 "Session Progress" but we can't seem to come to 
> agreement internally, so I was hoping to get some opinions 
> on this.. 
> 
> **
> 
> 21.1.4 182 Queued
> 
>   The called party is temporarily unavailable, but the server has
>   decided to queue the call rather than reject it.  When the callee
>   becomes available, it will return the appropriate final status
>   response.  The reason phrase MAY give further details about the
>   status of the call, for example, "5 calls queued; expected waiting
>   time is 15 minutes".  The server MAY issue several 182 (Queued)
>   responses to update the caller about the status of the queued call.  
> 
> **
> 
> If none of the currently defined response code is 
> suitable semantically, would it be viable to define a new 
> response code for this, I personally don't think so but 
> as we may see more and more of devices like this in the 
> future, may be?
> 
> Another option is I guess is to use current 18x + Alert-Info URN to 
> indicate what's happening on the callee side.
> 
> Regards
>  Shida
> 
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

Cullen Jennings
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html